from solenoids.OutHoleSolenoid import OutHoleSolenoid

class StartGameEvent:
    def __init__(self, flipper):
        self.flipper = flipper
        self.outHoleSolenoid = OutHoleSolenoid()

    def trigger(self):
        self.flipper.activate()
        self.outHoleSolenoid.trigger()